DCMTK - Bug #941

DCMTK cannot be compiled on WSL2 (Windows Subsystem for Linux)
2020-08-21 10:42 - Marco Eichelberg
Priority: Normal Due date:

Assignee: Michael Onken % Done: 0%
Category: Configuration Estimated time: 0:00 hour

Target version:
Module: config Compiler:

Operating System:

Description

On WSL2 (Windows Subsystem for Linux), which is available starting with Windows 10 2004,

the building of DCMTK using cmake and gcc 9.3.0 fails due to a runtime error in "arith.cc", which is compiled and executed during the
cmake phase.

The problem is apparently located in function test_snan(). It seems that the signal raised in that function is not caught and leads to an
abort of the program.

Issue reported 2020-08-10 by Arturas Aleksandrauskas <Arturas.Aleksandrauskas@contextvision.se>.

History

#1 - 2024-06-26 12:16 - Michael Onken

Meanwhile WSL2 can be used to compile DCMTK since the arith.h/cc has been removed with commit eeb7{7 (and last residuals with 867ec0).

#2 - 2024-06-26 12:17 - Michael Onken
Tested under WSL2 Ubuntu-24.04.

#3 - 2024-06-26 12:17 - Michael Onken
- Status changed from New to Closed

- Assignee changed from Jan Schlamelcher to Michael Onken
